
{% extends 'base/base.html' %}

{% block page_content %}
 <!-- Dropdown Card Example -->
 <div class="card shadow mb-4">
    <!-- Card Header - Dropdown -->
    <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
        <h6 class="m-0 font-weight-bold text-primary">Listado de Clientes</h6>
        <div class="dropdown no-arrow">
            <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
            </a>
            <div class="dropdown-menu dropdown-menu-right shadow animated--fade-in" aria-labelledby="dropdownMenuLink">
                <div class="dropdown-header">Acciones:</div>
                <a class="dropdown-item" href="{% url 'fac:factura_new' %}"><i class="fa fa-calendar-plus"></i> Nuevo</a> 
            </div>
        </div>
    </div>
    <!-- Card Body -->
    <div class="card-body">
       
       {% if not obj %}
            <div class="alert alert-info">No Hay Clientes</div>           
       {% endif %}
       <!-- <div class="buttons-toolbar">
            <button type="button" class="btn btn-success"><i class="far fa-calendar-plus">Nuevo</i></button>
       </div> -->

       <table
            id="table"
            data-toggle="table"
            data-pagination="true"
            data-page-size="5"
            data-search="true"
            data-show-columns="true"
            data-show-fullscreen="true"
            data-show-toggle="true"
            data-locale="es-MX"
            data-toolbar = ".buttons-toolbar"
        >
           <thead>
               <th data-field="id" data-sortable="true">No. Factura</th>
               <th data-field="cliente" data-sortable="true">Cliente</th>
               <th data-field="total" data-sortable="true">Total</th>
               <th data-field="estado">Estado</th>                                  
               <th class="all">Acciones</th>
           </thead>

           <tbody>               
               {% for item in obj %}
                   <tr>
                       <td>{{ item.id }}</td>
                       <td>{{ item.cliente }}</td>
                       <td>{{ item.total }}</td>                                         
                       <td>{{ item.estado|yesno:"Activo,Inactivo" }}</td>
                       <td>
                            <button class="btn btn-warning btn-circle"><i class="far fa-edit"></i></button>
                       </td>
                   </tr>
               {% endfor %}
                   
           </tbody>
       </table>       

    </div>
</div>

{% endblock page_content %}

{% block js_page %}

    <script>

        // llamamos el dataTables jQuery plugin
        // $(function() {
        //     $("#sidebarToggle").click();
        //     $('.table').DataTable({
        //         "language": {
        //             "processing": "Procesando...",
        //             "lengthMenu": "Mostrar _MENU_ registros",
        //             "zeroRecords": "No se encontraron resultados",
        //             "emptyTable": "Ningún dato disponible en esta tabla",
        //             "infoEmpty": "Mostrando registros del 0 al 0 de un total de 0 registros",
        //             "infoFiltered": "(filtrado de un total de _MAX_ registros)",
        //             "search": "Buscar:",
        //             "infoThousands": ",",
        //             "loadingRecords": "Cargando...",
        //             "paginate": {
        //                 "first": "Primero",
        //                 "last": "Último",
        //                 "next": "Siguiente",
        //                 "previous": "Anterior"
        //             },
        //             "aria": {
        //                 "sortAscending": ": Activar para ordenar la columna de manera ascendente",
        //                 "sortDescending": ": Activar para ordenar la columna de manera descendente"
        //             }
        //         }
        //     });
        // });
    </script>
    
{% endblock js_page%}
    

